Package org.apache.torque.generator.source

## Class SourceProcessConfiguration

- java.lang.Object
- - org.apache.torque.generator.source.SourceProcessConfiguration

-     public class SourceProcessConfiguration
      extends Object

  Contains the information how a source should be processed between obtaining the original source and feeding it to the outlets.
  Version:
    $Id: SourceProcessConfiguration.java 1840416 2018-09-09 15:10:22Z tv $

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SourceProcessConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SkipDecider` | `getSkipDecider()` | Returns the current SkipDecider.
    `String` | `getStartElementsPath()` | Returns the path to elements which should be used as starting points for generation.
    `List<SourceTransformerDefinition>` | `getTransformerDefinitions()` | Return all currently registered source transformer definitions.
    `void` | `setSkipDecider​(String skipDecider, UnitDescriptor unitDescriptor)` | Sets and instantiates the source filter class.
    `void` | `setSourceTransformerDefinitions​(List<SourceTransformerDefinition> transformerDefinitions)` | Sets the transformer definitions.
    `void` | `setStartElementsPath​(String startElementsPath)` | Sets the start element path.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceProcessConfiguration

          public SourceProcessConfiguration()

  - ### Method Detail

    - #### setStartElementsPath

          public void setStartElementsPath​(String startElementsPath)

      Sets the start element path.
      Parameters:
        `startElementsPath` - the path to the elements which are used as starting points for generation, or null if the root element should be used.

    - #### setSkipDecider

          public void setSkipDecider​(String skipDecider,
                                     UnitDescriptor unitDescriptor)
                              throws ConfigurationException

      Sets and instantiates the source filter class.
      Parameters:
        `skipDecider` - the fully qualified name of a class which determines whether a particular source is skipped, or null if every source should be used.
        `unitDescriptor` - The description of the generation unit, not null.
      Throws:
        `ConfigurationException` - if the class cannot be instantiated or does not implement the `SkipDecider` interface.

    - #### setSourceTransformerDefinitions

          public void setSourceTransformerDefinitions​(List<SourceTransformerDefinition> transformerDefinitions)

      Sets the transformer definitions.
      Parameters:
        `transformerDefinitions` - the transformer definitions, or null if the input should not be transformed before generation.

    - #### getStartElementsPath

          public String getStartElementsPath()

      Returns the path to elements which should be used as starting points for generation.
      Returns:
        the elements to use, or null, in which case the root element is used.

    - #### getTransformerDefinitions

          public List<SourceTransformerDefinition> getTransformerDefinitions()

      Return all currently registered source transformer definitions.
      Returns:
        the source transformer definitions, not null.

    - #### getSkipDecider

          public SkipDecider getSkipDecider()

      Returns the current SkipDecider.
      Returns:
        the current SkipDecider, or null if the generation should always be started for all source files.